SystemOrganization addCategory: #ConfigurationOfTwitterBootstrap!

Object subclass: #ConfigurationOfTwitterBootstrap
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfTwitterBootstrap'!

!ConfigurationOfTwitterBootstrap class methodsFor: 'private' stamp: 'NickAger 3/27/2012 15:17'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfTwitterBootstrap class methodsFor: 'private' stamp: 'NickAger 3/27/2012 15:17'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfTwitterBootstrap class methodsFor: 'metacello tool support' stamp: 'NickAger 3/27/2012 15:17'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfTwitterBootstrap class methodsFor: 'loading' stamp: 'NickAger 3/27/2012 15:17'!
load
	"self load"
	
	self project stableVersion load! !

!ConfigurationOfTwitterBootstrap class methodsFor: 'accessing' stamp: 'NickAger 3/27/2012 15:17'!
project

	^self new project! !

!ConfigurationOfTwitterBootstrap methodsFor: 'baselines' stamp: 'DiegoLont 8/21/2013 11:32'!
baseline100: spec 
	<version: '1.0.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'Updated to use the configurations of Seaside and Magritte on smalltalkhub'.
		spec 
			repository: 'http://ss3.gemstone.com/ss/TwitterBootstrap'.
			
		spec
			project: 'Magritte3' with: [
				spec
					className: 'ConfigurationOfMagritte3';
					loads: #('Seaside');
					versionString: #'stable';
					file: 'ConfigurationOfMagritte3';
					repository: 'http://smalltalkhub.com/mc/Magritte/Magritte3/main' ];
				yourself.
				
		spec		
			project: 'Seaside3' with: [
				spec
					className: 'ConfigurationOfSeaside3';
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main' ];
			yourself.
			
		spec
		 	package: 'Twitter-Bootstrap-Examples-Magritte' with: [ 
				spec requires: #( 'Twitter-Bootstrap-Magritte' 'Twitter-Bootstrap-Seaside');
				yourself ];
			package: 'Twitter-Bootstrap-Libraries' with: [ 
				spec requires: #( 'Seaside3');
				yourself ];
			package: 'Twitter-Bootstrap-Magritte' with: [ 
				spec requires: #( 'Magritte3' 'Twitter-Bootstrap-Seaside' );
				yourself ];
			package: 'Twitter-Bootstrap-Seaside'  with: [ 
				spec requires: #( 'Seaside3' 'Twitter-Bootstrap-Libraries');
				yourself ];
			package: 'Twitter-Bootstrap-FontAwesome'  with: [ 
				spec requires: #('Twitter-Bootstrap-Seaside');
				yourself ];
			yourself.
		spec
			group: 'default' with: #('Twitter-Bootstrap-Libraries' 'Twitter-Bootstrap-Seaside');
			group: 'Magritte' with: #('Twitter-Bootstrap-Magritte' );
			group: 'FontAwesome' with: #('Twitter-Bootstrap-FontAwesome' );
			group: 'Magritte+FontAwesome' with: #('Magritte' 'FontAwesome');
			group: 'Examples' with: #('Twitter-Bootstrap-Examples-Magritte');
			group: 'All' with: #('Magritte' 'FontAwesome' 'Examples');
			yourself.
		].
	spec for: #squeakCommon do: [
	].
	spec for: #gemstone do: [
	].! !

!ConfigurationOfTwitterBootstrap methodsFor: 'symbolic versions' stamp: 'topa 12/20/2012 17:05'!
development: spec 
	
	<symbolicVersion: #development>
	spec for: #'common' version: '1.0.2.1'. ! !

!ConfigurationOfTwitterBootstrap methodsFor: 'accessing' stamp: 'NickAger 3/27/2012 15:17'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfTwitterBootstrap methodsFor: 'symbolic versions' stamp: 'NickAger 9/1/2012 17:33'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version: '1.0.1'. ! !

!ConfigurationOfTwitterBootstrap methodsFor: 'versions' stamp: 'NickAger 4/1/2012 21:16'!
version100: spec
	<version: '1.0.0' imports: #('1.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'initial release of twitter bootstrap'.
		spec author: 'NickAger'.
		spec timestamp: '27th March 2012'.
		
		spec 
			package: 'Twitter-Bootstrap-Examples-Magritte'with: 'Twitter-Bootstrap-Examples-Magritte-NickAger.7';
			package: 'Twitter-Bootstrap-Libraries' with: 'Twitter-Bootstrap-Libraries-NickAger.1';
			package: 'Twitter-Bootstrap-Magritte' with: 'Twitter-Bootstrap-Magritte-NickAger.7';
			package: 'Twitter-Bootstrap-Seaside' with: 'Twitter-Bootstrap-Seaside-NickAger.4' ].
		
	spec for: #'squeakCommon' do: [
	].
	spec for: #'gemstone' do: [
	].! !

!ConfigurationOfTwitterBootstrap methodsFor: 'versions' stamp: 'NickAger 9/1/2012 17:32'!
version101: spec
	<version: '1.0.1' imports: #('1.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '2.0.4 twbs library, magritte update and added tab widget'.
		spec author: 'NickAger'.
		spec timestamp: '1st September 2012'.
		
		spec 
			package: 'Twitter-Bootstrap-Examples-Magritte'with: 'Twitter-Bootstrap-Magritte-JanVanDeSandt.8';
			package: 'Twitter-Bootstrap-Libraries' with: 'Twitter-Bootstrap-Libraries-FrancoisStephany.2';
			package: 'Twitter-Bootstrap-Magritte' with: 'Twitter-Bootstrap-Magritte-JanVanDeSandt.8';
			package: 'Twitter-Bootstrap-Seaside' with: 'Twitter-Bootstrap-Seaside-NickAger.5' ].
		
	spec for: #'squeakCommon' do: [
	].
	spec for: #'gemstone' do: [
	].! !

!ConfigurationOfTwitterBootstrap methodsFor: 'versions' stamp: 'topa 12/20/2012 17:04'!
version102: spec
	<version: '1.0.2.1' imports: #('1.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Fix Depencencies'.
		spec author: 'topa'.
		spec timestamp:  '12/20/2012 17:04'. "MetacelloPlatform current timestamp"
		
		spec 
			package: 'Twitter-Bootstrap-Examples-Magritte'with: 'Twitter-Bootstrap-Examples-Magritte-NickAger.7';
			package: 'Twitter-Bootstrap-Libraries' with: 'Twitter-Bootstrap-Libraries-topa.4';
			package: 'Twitter-Bootstrap-Magritte' with: 'Twitter-Bootstrap-Magritte-topa.11';
			package: 'Twitter-Bootstrap-Seaside' with: 'Twitter-Bootstrap-Seaside-topa.10';
			package: 'Twitter-Bootstrap-FontAwesome' with: 'Twitter-Bootstrap-FontAwesome-topa.2' ].
		
	spec for: #'squeakCommon' do: [
	].
	spec for: #'gemstone' do: [
	].! !
